### Method

# Gdk Event get_history

#### Declaration [src]

    GdkTimeCoord*
    gdk_event_get_history (
      GdkEvent* event,
      guint* out_n_coords
    )

#### Description [src]

Retrieves the history of the device that `event` is for, as a list of time and coordinates.

The history includes positions that are not delivered as separate events to the application because they occurred in the same frame as `event`.

Note that only motion and scroll events record history, and motion events do it only if one of the mouse buttons is down.

#### Parameters

`out_n_coords` | `guint*`
| Return location for the length of the returned array.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | An array of `GdkTimeCoord`
| An array of time and coordinates.
| The length of the array is in the `out_n_coords` argument.
| The caller of the function takes ownership of the data container, but not the data inside it.
| The return value can be `NULL`.